using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using Infrastructure.Base;

namespace Infrastructure.Entities;

public class Session : EntityBase
{
    [Required]
    public string Name { get; set; }
    
    public string Description { get; set; }
    
    public float Duration { get; set; }

    public virtual ICollection<Exercice> Exercices { get; set; } = new Collection<Exercice>();
}