using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using Infrastructure.Base;

namespace Infrastructure.Entities;

public class TrainingProgram : EntityBase
{
    [Required]
    public string Name { get; set; }
    
    public int WeekDuration { get; set; }
    
    public string Description { get; set; }
    
    public string Difficulty { get; set; }
    
    public virtual ICollection<Session> Sessions { get; set; } = new Collection<Session>();
}