using Server.Dto.Request;
using Server.Dto.Response;
using Shared;

namespace Server.IServices
{
    public interface ITrainingProgramService
    {
        Task<PaginatedResult<ResponseTrainingProgramDto>> GetTrainingPrograms(int page, int size, bool ascending = true);
        Task<ResponseTrainingProgramDto?> GetTrainingProgramById(string id);
        Task<ResponseTrainingProgramDto> CreateTrainingProgram(RequestTrainingProgramDto request);
        Task<ResponseTrainingProgramDto?> UpdateTrainingProgram(string id, RequestTrainingProgramDto request);
        Task<bool> DeleteTrainingProgram(string id);
    }
}