using AutoMapper;
using Shared;
using Infrastructure.Entities;
using Server.Dto.Response;

namespace Server.Mappers
{
    public class PaginatedResultProfile : Profile
    {
        public PaginatedResultProfile()
        {
            CreateMap<PaginatedResult<Exercice>, PaginatedResult<ResponseExerciceDto>>()
                .ForMember(dest => dest.Data, opt => opt.MapFrom(src => src.Data));
        }
    }
}