using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Server.Dto.Request
{
    public class RequestTrainingProgramDto
    {
        [Required]
        public string Name { get; set; }

        [Required]
        public int WeekDuration { get; set; }

        public string Description { get; set; }

        public string Difficulty { get; set; }

        public List<RequestSessionDto> Sessions { get; set; } = new List<RequestSessionDto>();
    }
}