using Server.Dto.Request;
using Server.Dto.Response;
using Shared;

namespace Server.IServices;

public interface IExerciceService
{
    Task<PaginatedResult<ResponseExerciceDto>> GetExercices(int page, int size, bool ascending = true);
    Task<ResponseExerciceDto?> GetExerciceById(string id);
    Task<ResponseExerciceDto> CreateExercice(RequestExerciceDto request);
    Task<ResponseExerciceDto?> UpdateExercice(string id, RequestExerciceDto request);
    Task<bool> DeleteExercice(string id);
}